> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Skillset

> Soft-deletes a skillset. The skillset will no longer appear in listings but existing shifts are not affected.

<Note>
  This performs a soft delete — the skillset will no longer appear in listings but existing shifts assigned to this skillset are not affected.
</Note>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json DELETE /skillsets/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /skillsets/{id}:
    parameters:
      - schema:
          type: integer
        name: id
        in: path
        required: true
        description: Skillset ID
    delete:
      tags:
        - Skillsets
      summary: Delete Skillset
      description: >-
        Soft-deletes a skillset. The skillset will no longer appear in listings
        but existing shifts are not affected.
      operationId: delete-skillset
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Skillset name is required:
                  value:
                    code: SKL-100
                    error: Skillset name is required
                Skillset name exceeds maximum length:
                  value:
                    code: SKL-200
                    error: Skillset name exceeds maximum length
                Invalid default time format:
                  value:
                    code: SKL-300
                    error: Invalid default time format
                Invalid wage value:
                  value:
                    code: SKL-400
                    error: Invalid wage value
                Invalid boolean flag value:
                  value:
                    code: SKL-500
                    error: Invalid boolean flag value
                Default comments exceeds maximum length:
                  value:
                    code: SKL-600
                    error: Default comments exceeds maximum length
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions to manage skillsets:
                  value:
                    code: SKL-800
                    error: Insufficient permissions to manage skillsets
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Skillset not found:
                  value:
                    code: SKL-700
                    error: Skillset not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                An unexpected error occurred:
                  value:
                    code: SKL-900
                    error: An unexpected error occurred
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````